using System;
using System.Linq;

namespace P_2022_1_4
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] be1 = Console.ReadLine().Split(' ');
            int[] a = new int[be1.Length];
            for (int i = 0; i < a.Length; i++)
                a[i] = int.Parse(be1[i]);
            int[,] be2 = new int[a[0], 2];
            for (int i = 0; i < a[0]; i++)
            {
                be1 = Console.ReadLine().Split(' ');
                be2[i, 0] = int.Parse(be1[0]);
                be2[i, 1] = int.Parse(be1[1]);
            }
            Array.Resize(ref be1, 3);
            int[,] be3 = new int[a[1], 3];
            for (int i = 0; i < a[1]; i++)
            {
                be1 = Console.ReadLine().Split(' ');
                be3[i, 0] = int.Parse(be1[0]);
                be3[i, 1] = int.Parse(be1[1]);
                be3[i, 2] = int.Parse(be1[2]);
            }
            int[] eredmeny = new int[a[1]];
            for (int i = 0; i < a[1]; i++)
            {
                for (int j = be3[i, 0] - 1; j < be3[i, 1]; j++)
                {
                    if (be2[j, 0] <= be3[i, 2] && be2[j, 1] >= be3[i, 2])
                        eredmeny[i]++;
                }
            }
            foreach (int i in eredmeny)
                Console.WriteLine(i);
        }
    }
}